<script lang="ts" setup>
import { contentToIGame } from '~/models/game/game';
import { IGame } from '~/models/game/game.type';

const route = useRoute()

const data = ref<IGame>(contentToIGame(await queryContent(route.path).findOne()))

const tournamentUrl = computed(() => route.path.slice(0, route.path.lastIndexOf('/')))

defineProps<{
  title: string
}>()
</script>

<template>
  <div class="bg-contrast text-light p-4 rounded-md shadow-xl mb-8">
    <div class="text-xs grid grid-cols-3 w-full">
      <span class="text-left">{{ data.date.format('DD-MM-YYYY') }} - <NuxtLink :to="tournamentUrl">{{ data.tournament }}</NuxtLink> - {{ data.cadence }}</span>
      <ResultBlock class="text-center" :result="data.result" />
      <div class="text-right flex items-center justify-end gap-2"><Badge v-for="tag in data.tags" :key="tag" :label="tag"/></div>
    </div>
    <h1>{{ title }}</h1>
    <div class="flex justify-center">
      <div 
        class="text-center  p-2"
        :class="[data.my_color === 'black' ? 'text-light bg-dark' : 'text-dark bg-light' ]"
      >
        <div>Anatole Aqueberge ({{ data.my_rate }})</div>
      </div>

      <div 
        class="text-center  p-2"
        :class="[data.my_color !== 'black' ? 'text-light bg-dark' : 'text-dark bg-light' ]"
      >
        <div>{{ data.opponent }} ({{ data.opponent_rating }})</div>
      </div>
    </div>
  </div>
</template>

<style lang="scss" scoped></style>